%define apiver %(echo %version | cut -d. -f1-2)
Name:          libcdr
Version:       0.1.6
Release:       1mamba
Summary:       A library providing ability to interpret and import Corel Draw drawings into various applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/libcdr
Source:        http://dev-www.libreoffice.org/src/libcdr/libcdr-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: liblcms2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: libwpd-devel >= 0.10
BuildRequires: libwpg-devel >= 0.3.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libcdr is a library providing ability to interpret and import Corel Draw drawings into various applications. You can find it being used in libreoffice.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Publishing
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcdr-%{apiver}.so.*
%doc AUTHORS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libcdr-%{apiver}
%dir %{_includedir}/libcdr-%{apiver}/libcdr
%{_includedir}/libcdr-%{apiver}/libcdr/*.h
%{_libdir}/libcdr-%{apiver}.la
%{_libdir}/libcdr-%{apiver}.so
%{_libdir}/pkgconfig/libcdr-%{apiver}.pc
%dir %{_datadir}/doc/libcdr
%dir %{_datadir}/doc/libcdr/html
%{_datadir}/doc/libcdr/html/*
%doc ChangeLog README

%files tools
%defattr(-,root,root)
%{_bindir}/cdr2raw
%{_bindir}/cdr2text
%{_bindir}/cdr2xhtml
%{_bindir}/cmx2raw
%{_bindir}/cmx2text
%{_bindir}/cmx2xhtml

%changelog
* Wed Feb 05 2020 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic version update by autodist

* Mon Jan 07 2019 Automatic Build System <autodist@mambasoft.it> 0.1.5-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- update to 0.1.4

* Thu Jul 21 2016 Automatic Build System <autodist@mambasoft.it> 0.1.3-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- automatic version update by autodist

* Fri Nov 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- update to 0.1.1

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-2mamba
- rebuilt with libwpd 0.10 and libwpg 0.3.0

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic version update by autodist

* Fri Apr 18 2014 Automatic Build System <autodist@mambasoft.it> 0.0.16-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.0.14-1mamba
- automatic update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 0.0.12-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 0.0.11-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 0.0.10-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 0.0.9-1mamba
- automatic version update by autodist

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.8-1mamba
- package created by autospec
